import { AgentProvider, AgentRecord } from './AgentProvider';
export declare class CompositeAgentProvider implements AgentProvider {
    private primary;
    private fallback;
    constructor(primary: AgentProvider, fallback: AgentProvider);
    load(): AgentRecord[];
}
